import sys
import socket
import pygame
from pygame.locals import *
from time import sleep

size = width, height = 380, 380

TCP_IP = "192.168.0.1"
TCP_PORT = 9876

pygame.init()
screen = pygame.display.set_mode(size)
speed = [2, 2]
black = 0, 0, 0
clock = pygame.time.Clock()

print "TCP target IP:", TCP_IP
print "TCP target port:", TCP_PORT

event = pygame.event.get()
sleep_time = 0.1

sock = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
sock.connect((TCP_IP, TCP_PORT))

while 1:
    for event in pygame.event.get():
        if event.type == pygame.QUIT:
			print "Exiting"
			sock.close()
			sys.exit()
        if event.type == pygame.KEYUP:
            if event.key in [K_w, K_e, K_s, K_d]:
                sock.send("0\r")
                sleep(sleep_time)
                print "STOP"
                
    keys = pygame.key.get_pressed()
    if keys[K_h]:
        sock.send("h\r")
        sleep(sleep_time)
        print "avarii"
        
    if keys[K_r]:
        sock.send("r\r")
        sleep(sleep_time)
        print "semnal stanga"

    if keys[K_t]:
        sock.send("t\r")
        sleep(sleep_time)
        print "semnal dreapta"
    
    if keys[K_y]:
        sock.send("y\r")
        sleep(sleep_time)
        print "semnal stop"
    
        
    if keys[K_w]:
		sock.send("2\r")
		sleep(sleep_time)
		print "inainte incet"

    if keys[K_s]:
        sock.send("5\r")
        sleep(sleep_time)
        print "inapoi incet"
        
    if keys[K_LEFT] and keys[K_e]:
        sock.send("8\r")
        sleep(sleep_time)
        print "inainte stanga"
    elif keys[K_RIGHT] and keys[K_e]:
        sock.send("9\r")
        sleep(sleep_time)
        print "inainte dreapta"
    elif keys[K_e]:
        sock.send("3\r")
        sleep(sleep_time)
        print "inainte 3"

    if keys[K_LEFT] and keys[K_d]:
        sock.send("1\r")
        sleep(sleep_time)
        print "inapoi stanga"
    elif keys[K_RIGHT] and keys[K_d]:
        sock.send("4\r")
        sleep(sleep_time)
        print "inapoi dreapta"
    elif keys[K_d]:
        sock.send("6\r")
        sleep(sleep_time)
        print "inapoi repede"

    screen.fill(black)
    pygame.display.flip()
